Minimap not installing


#1

Hi atomists!

New at atom so… please, be patient. :wink:

I can’t manage to install minimap (OS X 10.10.1, atom 0.146).
The log follows. Any help?

Many thanks in advance.


kenNash

npm http GET hps://registry.npmjs.org/delegato
npm http GET h
ps://registry.npmjs.org/semver
npm http GET hps://registry.npmjs.org/event-kit
npm http GET h
ps://registry.npmjs.org/grim
npm http GET hps://registry.npmjs.org/fs-plus
npm http GET h
ps://registry.npmjs.org/temp/0.5.0
npm http GET hps://registry.npmjs.org/underscore-plus
npm http GET h
ps://registry.npmjs.org/emissary
npm http GET hps://registry.npmjs.org/mixto
npm http 304 h
ps://registry.npmjs.org/grim
npm http 304 hps://registry.npmjs.org/semver
npm http 304 h
ps://registry.npmjs.org/event-kit
npm http 304 hps://registry.npmjs.org/fs-plus
npm http 304 h
ps://registry.npmjs.org/temp/0.5.0
npm http 304 hps://registry.npmjs.org/underscore-plus
npm http 304 h
ps://registry.npmjs.org/emissary
npm http 304 hps://registry.npmjs.org/mixto
npm http 304 h
ps://registry.npmjs.org/delegato
npm http GET hps://registry.npmjs.org/underscore
npm http GET h
ps://registry.npmjs.org/mkdirp
npm http GET hps://registry.npmjs.org/rimraf
npm http GET h
ps://registry.npmjs.org/async
npm http GET hps://registry.npmjs.org/property-accessors
npm http 304 h
ps://registry.npmjs.org/rimraf
npm http 200 hps://registry.npmjs.org/mkdirp
npm WARN git config --get remote.origin.url returned wrong result (https://github.com/Benvie/harmony-collections.git) Agreeing to the Xcode/iOS license requires admin privileges, please re-run as root via sudo.
npm http 200 h
ps://registry.npmjs.org/underscore
npm ERR! git clone hps://github.com/Benvie/harmony-collections.git Agreeing to the Xcode/iOS license requires admin privileges, please re-run as root via sudo.
npm ERR! Error: Command failed:
npm ERR!
npm ERR! Agreeing to the Xcode/iOS license requires admin privileges, please re-run as root via sudo.
npm ERR!
npm ERR!
npm ERR!
npm ERR! at ChildProcess.exithandler (child_process.js:648:15)
npm ERR! at ChildProcess.emit (events.js:98:17)
npm ERR! at maybeClose (child_process.js:756:16)
npm ERR! at Socket. (child_process.js:969:11)
npm ERR! at Socket.emit (events.js:95:17)
npm ERR! at Pipe.close (net.js:465:12)
npm ERR! If you need help, you may report this entire log,
npm ERR! including the npm and node versions, at:
npm ERR! <h
p://github.com/npm/npm/issues>

npm ERR! System Darwin 14.0.0
npm ERR! command “/Applications/Atom.app/Contents/Resources/app/apm/node_modules/atom-package-manager/bin/node” “/Applications/Atom.app/Contents/Resources/app/apm/node_modules/atom-package-manager/node_modules/npm/bin/npm-cli.js” “–globalconfig” “/Applications/Atom.app/Contents/Resources/app/apm/node_modules/atom-package-manager/.apmrc” “–userconfig” “/Users/kennash/.atom/.apmrc” “install” “/private/var/folders/w2/tfgrn_gj0_b83ynnpty3131r0000gn/T/d-1141018-2752-b58ocj/package.tgz” “–target=0.18.0” "–arch=x64"
npm ERR! cwd /private/var/folders/w2/tfgrn_gj0_b83ynnpty3131r0000gn/T/apm-install-dir-1141018-2752-ziy59t
npm ERR! node -v v0.10.33
npm ERR! npm -v 1.4.4
npm ERR! code 69
npm http 200 hps://registry.npmjs.org/async
npm http 304 h
ps://registry.npmjs.org/property-accessors
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR! /private/var/folders/w2/tfgrn_gj0_b83ynnpty3131r0000gn/T/apm-install-dir-1141018-2752-ziy59t/npm-debug.log
npm ERR! not ok code 0


#2

Looks like this is the issue. I know that when I installed a clean version of Yosemite, I had to actually download Xcode to get the tools to do the compiles that some packages need.


#3

Thank you so much, this solved the problem!

:-))


kenNash


#4

You’re welcome! Closing this in 24 hours as resolved unless there is more information needed.


#5

This topic was automatically closed 24 hours after the last reply. New replies are no longer allowed.